summaryrefslogtreecommitdiff
path: root/tests/fmt/basic
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-03-12 17:49:00 +0000
committerJim Meyering <jim@meyering.net>2001-03-12 17:49:00 +0000
commitd998775909edeb1d82086e9cce9f5b846d226723 (patch)
tree3804e1d94a564d37f2a0df11ee7f31002cd699a0 /tests/fmt/basic
parent1a728b8b0d015c081da8a2fc2d7524a8e07daba4 (diff)
downloadcoreutils-d998775909edeb1d82086e9cce9f5b846d226723.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/fmt/basic')
-rwxr-xr-xtests/fmt/basic36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/fmt/basic b/tests/fmt/basic
new file mode 100755
index 000000000..757150039
--- /dev/null
+++ b/tests/fmt/basic
@@ -0,0 +1,36 @@
+#!/bin/sh
+# -*- perl -*-
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+case "$PERL" in
+ *'missing perl')
+ echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+ exit 77
+ ;;
+esac
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my @Tests =
+ (
+ ['8-bit-pfx', qw (-p 'ç'),
+ {IN=> "ça\nçb\n"},
+ {OUT=>"ça çb\n"}],
+ );
+
+my $save_temps = $ENV{DEBUG};
+my $verbose = $ENV{VERBOSE};
+
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF